<?php
/*------------------------------------------------------------------------
# default_body.php - Product advisor Component
# ------------------------------------------------------------------------
# author    Matthias Drobny, drobny.iT
# copyright Copyright (C) 2014. All Rights Reserved
# license   GNU/GPL Version 2 or later - http://www.gnu.org/licenses/gpl-2.0.html
# website   www.drobny.it
-------------------------------------------------------------------------*/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

$edit = "index.php?option=com_productadvisor&view=products&task=product.edit";
$user = JFactory::getUser();
$userId = $user->get('id');
?>
<?php foreach($this->items as $i => $item){
	$canCheckin	= $user->authorise('core.manage', 'com_checkin') || $item->checked_out == $userId || $item->checked_out == 0;
	$userChkOut	= JFactory::getUser($item->checked_out);
	?>
	<tr class="row<?php echo $i % 2; ?>">
		<td>
			<a href="<?php echo $edit; ?>&product_id=<?php echo $item->product_id; ?>"><?php echo $item->product_id; ?></a>
			<?php if ($item->checked_out){ ?>
				<?php echo JHtml::_('jgrid.checkedout', $i, $userChkOut->name, $item->checked_out_time, 'products.', $canCheckin); ?>
			<?php } ?>
		</td>
		<td>
			<?php echo JHtml::_('grid.id', $i, $item->product_id); ?>
		</td>
		<td><?php echo $item->name; ?></td>
		<td>
			<?php if ($item->catid>0){ ?>
			<a href="index.php?option=com_categories&task=category.edit&extension=com_productadvisor&id=<?php echo $item->catid;?>">
				<?php echo ProductadvisorCategoryHelper::getSingle($item->catid)->title; ?>
			</a>
			<?php } ?>
		</td>
		<td><?php 
// 		JRequest::setVar('foooooo', $item->description);
// 		echo JRequest::getString('foooooo');
		echo strip_tags($item->description);
// 		echo $item->description; 
		
		?></td>
	</tr>
<?php } ?>